Prize events
GET
/v1/prizes
const url = 'https://api.tako.wtf/v1/prizes';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tako.wtf/v1/prizesParameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”before
string
Return items older than this lt, from the last item of the previous page
limit
integer
Page size, 1–200, default 50
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
name
required
Event name, for example deposit, prize or loan_funded
string
account
required
Contract that logged the event
string
tx
required
Transaction hash, hex
string
lt
required
Logical time of the transaction, the paging cursor
string
at
required
Unix seconds
integer
data
required
Decoded event fields; amounts are nanoGram strings
object
key
additional properties
Example generated
[ { "name": "example", "account": "example", "owner": "example", "tx": "example", "lt": "example", "at": 1, "data": { "additionalProperty": "example" } }]Invalid parameter
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}